/* This file was generated by genshader.c */
const char *gl_static_fill_vert = "/*\n"
" * kmscon - Vertex Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Default Vertex Shader\n"
" * This shader is a very basic vertex shader which forwards all data and\n"
" * performs basic matrix multiplications.\n"
" */\n"
"\n"
"uniform mat4 projection;\n"
"attribute vec2 position;\n"
"attribute vec4 color;\n"
"varying vec4 col;\n"
"\n"
"void main()\n"
"{\n"
"	col = color;\n"
"	gl_Position = projection * vec4(position, 0.0, 1.0);\n"
"}\n"
"";
const char *gl_static_fill_frag = "/*\n"
" * kmscon - Fragment Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Default Fragment Shader\n"
" * A basic fragment shader which applies a color directly.\n"
" */\n"
"\n"
"precision mediump float;\n"
"\n"
"varying vec4 col;\n"
"\n"
"void main()\n"
"{\n"
"	gl_FragColor = col;\n"
"}\n"
"";
const char *gl_static_blend_vert = "/*\n"
" * kmscon - Vertex Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Vertex Shader\n"
" * This shader is a very basic vertex shader which forwards all data and\n"
" * performs basic matrix multiplications.\n"
" */\n"
"\n"
"uniform mat4 projection;\n"
"attribute vec2 position;\n"
"attribute vec2 texture_position;\n"
"varying vec2 texpos;\n"
"\n"
"void main()\n"
"{\n"
"	gl_Position = projection * vec4(position, 0.0, 1.0);\n"
"	texpos = texture_position;\n"
"}\n"
"";
const char *gl_static_blend_frag = "/*\n"
" * kmscon - Fragment Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Fragment Shader\n"
" * A basic fragment shader which applies a 2D texture.\n"
" */\n"
"\n"
"precision mediump float;\n"
"\n"
"uniform sampler2D texture;\n"
"uniform vec3 fgcolor;\n"
"uniform vec3 bgcolor;\n"
"varying vec2 texpos;\n"
"\n"
"void main()\n"
"{\n"
"	float alpha = texture2D(texture, texpos).a;\n"
"	vec3 val = alpha * fgcolor + (1.0 - alpha) * bgcolor;\n"
"	gl_FragColor = vec4(val, 1.0);\n"
"}\n"
"";
const char *gl_static_blit_vert = "/*\n"
" * kmscon - Vertex Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Vertex Shader\n"
" * This shader is a very basic vertex shader which forwards all data and\n"
" * performs basic matrix multiplications.\n"
" */\n"
"\n"
"uniform mat4 projection;\n"
"attribute vec2 position;\n"
"attribute vec2 texture_position;\n"
"varying vec2 texpos;\n"
"\n"
"void main()\n"
"{\n"
"	gl_Position = projection * vec4(position, 0.0, 1.0);\n"
"	texpos = texture_position;\n"
"}\n"
"";
const char *gl_static_blit_frag = "/*\n"
" * kmscon - Fragment Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Fragment Shader\n"
" * A basic fragment shader which applies a 2D texture.\n"
" */\n"
"\n"
"precision mediump float;\n"
"\n"
"uniform sampler2D texture;\n"
"varying vec2 texpos;\n"
"\n"
"void main()\n"
"{\n"
"	gl_FragColor = texture2D(texture, texpos);\n"
"}\n"
"";
const char *gl_static_gltex_vert = "/*\n"
" * kmscon - Vertex Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Vertex Shader\n"
" * This shader is a very basic vertex shader which forwards all data and\n"
" * performs basic matrix multiplications.\n"
" */\n"
"\n"
"uniform mat4 projection;\n"
"\n"
"attribute vec2 position;\n"
"attribute vec2 texture_position;\n"
"attribute vec3 fgcolor;\n"
"attribute vec3 bgcolor;\n"
"\n"
"varying vec2 texpos;\n"
"varying vec3 fgcol;\n"
"varying vec3 bgcol;\n"
"\n"
"void main()\n"
"{\n"
"	gl_Position = projection * vec4(position, 0.0, 1.0);\n"
"	texpos = texture_position;\n"
"	fgcol = fgcolor;\n"
"	bgcol = bgcolor;\n"
"}\n"
"";
const char *gl_static_gltex_frag = "/*\n"
" * kmscon - Fragment Shader\n"
" *\n"
" * Copyright (c) 2011-2012 David Herrmann <dh.herrmann@googlemail.com>\n"
" * Copyright (c) 2011 University of Tuebingen\n"
" *\n"
" * Permission is hereby granted, free of charge, to any person obtaining\n"
" * a copy of this software and associated documentation files\n"
" * (the \"Software\"), to deal in the Software without restriction, including\n"
" * without limitation the rights to use, copy, modify, merge, publish,\n"
" * distribute, sublicense, and/or sell copies of the Software, and to\n"
" * permit persons to whom the Software is furnished to do so, subject to\n"
" * the following conditions:\n"
" *\n"
" * The above copyright notice and this permission notice shall be included\n"
" * in all copies or substantial portions of the Software.\n"
" *\n"
" * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
" * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
" * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
" * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
" * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
" * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n"
" * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
" */\n"
"\n"
"/*\n"
" * Fragment Shader\n"
" * A basic fragment shader which applies a 2D texture and blends foreground and\n"
" * background colors.\n"
" */\n"
"\n"
"precision mediump float;\n"
"\n"
"uniform sampler2D atlas;\n"
"uniform float advance_htex;\n"
"uniform float advance_vtex;\n"
"\n"
"varying vec2 texpos;\n"
"varying vec3 fgcol;\n"
"varying vec3 bgcol;\n"
"\n"
"void main()\n"
"{\n"
"	vec2 pos = vec2(texpos.x * advance_htex, texpos.y * advance_vtex);\n"
"	float alpha = texture2D(atlas, pos).a;\n"
"	vec3 val = alpha * fgcol + (1.0 - alpha) * bgcol;\n"
"	gl_FragColor = vec4(val, 1.0);\n"
"}\n"
"";
